Package com.sun.mail.smtp

# Interface SaslAuthenticator

All Known Implementing Classes:
  `SMTPSaslAuthenticator`

public interface SaslAuthenticator
Interface to make it easier to call SMTPSaslAuthenticator.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`authenticate(String[] mechs, String realm, String authzid, String u, String p)`

## Method Details

### authenticate

boolean authenticate(String[] mechs, String realm, String authzid, String u, String p) throws MessagingException

Throws:
  `MessagingException`